package com.cyksj.model.entity;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * 项目名: yhlxj
 * 文件名: UserDistributeSubRewards
 * 创建者: JavaZou
 * 创建时间:2024/3/28 17:46
 */
@Getter
@Setter
public class UserDistributeSubRewards {
	private Integer level;

	/**
	 * 目标金额
	 */
	private BigDecimal targetAmount;

	/**
	 * 月时间限制
	 */
	private Integer months;

	/**
	 * 奖励金额
	 */
	private BigDecimal money;

	/**
	 * 流星级奖励：新渠道前三月累计销售额达到1,000元，您获得30元奖励。
	 * 月球级奖励：当前三月销售额提升至5,000元，您将获得额外145元奖励，使总奖励达到175元。
	 * 行星级奖励：当前三月销售额增至10,000元时，您再获得额外225元，总奖励累计为400元。
	 * 恒星级奖励：当前三月销售额达到20,000元，您将获得额外500元，使总奖金达到900元。
	 * 黑洞级奖励：当前三月销售额达到50,000元，您获得额外1,600元，总奖金累积为2,500元。
	 * 银河级奖励：前6个月销售额达到100,000元，您将额外获得3,500元，总计奖金为6,000元。
	 */
	@Getter
	@AllArgsConstructor
	public enum RewardLevel {
		meteor("流星级"),
		moon("月球级"),
		planet("行星级"),
		stars("恒星级"),
		blackHole("黑洞级"),
		galaxy("银河级");
		;
		private String msg;
	}
}
